FEM Analysis/de: Difference between revisions

From FreeCAD Documentation
(Created page with "==Optionen==")
(Created page with "==Eigenschaften==")
Line 37: Line 37:




==Properties==
==Eigenschaften==


* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis

Revision as of 12:12, 2 June 2020

FEM Analyse

Menüeintrag
Modell → Analysecontainer‏‎
Arbeitsbereich
FEM
Standardtastenkürzel
N A
Eingeführt in Version
-
Siehe auch
FEM Tutorium

Beschreibung

Die FEM Analyse könnte als ein Behälter gesehen werden, der alle Objekte einer Finite Element Analyse aufnimmt. Es ist obligatorisch, einen Analysecontainer zu haben, der alle benötigten Objekte enthält. Mindestens eines der folgenden Objekte wird für eine mechanische Analyse benötigt:


Anwendung

  1. Press the Analysis container button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Optionen

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.


Eigenschaften

  • DatenOutpuDir: Specifies the working directory of the analysis


Scripting

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member